Part3 Developers

Oauth token

POST /oauth/token

Exchange client credentials for a token

POST
/oauth/token

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.part3.io/v1/oauth/token" \  -H "Content-Type: application/json" \  -d '{}'
{
  "access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiI0ZjVlNmQ3Yy04YjlhLTRkMmUtYTNmNS02NzhjOWQwZTFmMmEiLCJ0eXBlIjoiY2xpZW50IiwiaWF0IjoxNzYxOTQ4MDAwLCJleHAiOjE3NjE5NTE2MDB9.signed",
  "token_type": "Bearer",
  "expires_in": 3600
}
{
  "error": "invalid_client",
  "error_description": "Invalid client credentials"
}
{
  "error": "invalid_client",
  "error_description": "Invalid client credentials"
}
{
  "error": "invalid_client",
  "error_description": "Invalid client credentials"
}
{
  "error": "invalid_client",
  "error_description": "Invalid client credentials"
}